Vai al contenuto

follow_api.get_feed ​

since HF14 disabled

Defined in the steem source (52dcfabb) but not served by public nodes.

Purpose ​

Restituisce un elenco di elementi nel feed (feed) di un account.

Vedere anche: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "account": "",
  "start_entry_id": 0,
  "limit": 500
}

⚠ Definito nel codice sorgente di steem, ma non abilitato sui nodi pubblici.

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "follow_api.get_feed",
    "params": {
      "account": "steemit",
      "start_entry_id": 0,
      "limit": 1
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "follow_api.get_feed",
    "params": {
      "account": "alice",
      "start_entry_id": 1,
      "limit": 10
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "feed": []
}